[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Xen-devel] [PATCH RFC 1/9] mg-unixbench-download: new script for downloading the unixbench archive



The script fetches it, and saves it in c{Images}/benchs.

Default values for URL and actual filename are in ap-common, and
can be overridden as usual.

 XXX: this may or may not be something suitable to do in a
      function in cri-common, called by ap-fetch-version. It's
      not a git tree, and it's not something that changes much
      so I think it's fine like it is in this patch. If it is
      not, advise otherwise and I'll cope.

igned-off-by: Dario Faggioli <dario.faggioli@xxxxxxxxxx>
---
 ap-common             |    4 ++++
 mg-unixbench-download |   34 ++++++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+)
 create mode 100755 mg-unixbench-download

diff --git a/ap-common b/ap-common
index ea4b04c..000ca69 100644
--- a/ap-common
+++ b/ap-common
@@ -136,3 +136,7 @@ info_linux_tree () {
 
        return 0
 }
+
+# UnixBench. By default we try to grab version 5.1.3
+: 
${REMOTEFILE_UNIXBENCH:=http://byte-unixbench.googlecode.com/files/unixbench-5.1.3.tgz}
+: ${LOCALFILE_UNIXBENCH:=unixbench.tgz}
diff --git a/mg-unixbench-download b/mg-unixbench-download
new file mode 100755
index 0000000..891b0b1
--- /dev/null
+++ b/mg-unixbench-download
@@ -0,0 +1,34 @@
+#!/bin/bash
+# This is part of "osstest", an automated testing framework for Xen.
+# Copyright (C) 2009-2013 Citrix Inc.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+if [ -f standalone.config ] ; then
+    . standalone.config
+fi
+
+. cri-getconfig
+. ap-common
+
+fail () { echo >&2 "$0: $1"; exit 1; }
+
+images=`getconfig Images`;
+dstdir="${images}/benchs"
+mkdir -p $dstdir
+
+wget ${REMOTEFILE_UNIXBENCH} -O ${dstdir}/${LOCALFILE_UNIXBENCH} || \
+    fail "failed downloading the benchmark"


_______________________________________________
Xen-devel mailing list
Xen-devel@xxxxxxxxxxxxx
http://lists.xen.org/xen-devel


 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.